Package org.springframework.cloud.task.batch.autoconfigure.kafka

# Class KafkaItemWriterAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.kafka.KafkaItemWriterAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableConfigurationProperties({org.springframework.boot.autoconfigure.kafka.KafkaProperties.class,KafkaItemWriterProperties.class}) @AutoConfigureAfter(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) public class KafkaItemWriterAutoConfiguration extends Object
Autconfiguration for a `KafkaItemReader`.

Since:
  2.3
Author:
  Glenn Renfro, Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaItemWriterAutoConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.core.convert.converter.Converter<Map<String,Object>,Object>`
  `batchItemKeyMapper()`
  `org.springframework.batch.item.kafka.KafkaItemWriter<Object,Map<String,Object>>`
  `kafkaItemWriter(KafkaItemWriterProperties kafkaItemWriterProperties, org.springframework.kafka.core.ProducerFactory<Object,Map<String,Object>> producerFactory, org.springframework.core.convert.converter.Converter<Map<String,Object>,Object> itemKeyMapper)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KafkaItemWriterAutoConfiguration

    public KafkaItemWriterAutoConfiguration()

- ## Method Details

  - ### kafkaItemWriter

    @Bean @ConditionalOnMissingBean @ConditionalOnProperty(prefix="spring.batch.job.kafkaitemwriter", name="topic") public org.springframework.batch.item.kafka.KafkaItemWriter<Object,Map<String,Object>> kafkaItemWriter(KafkaItemWriterProperties kafkaItemWriterProperties, org.springframework.kafka.core.ProducerFactory<Object,Map<String,Object>> producerFactory, @Qualifier("batchItemKeyMapper") org.springframework.core.convert.converter.Converter<Map<String,Object>,Object> itemKeyMapper)

  - ### batchItemKeyMapper

    @Bean @ConditionalOnMissingBean(name="batchItemKeyMapper") public org.springframework.core.convert.converter.Converter<Map<String,Object>,Object> batchItemKeyMapper()